• Unable to update, failed to prepare transaction error


    Hi,

    I’m unable to update my system, I got a notification of 4 updates, so I ran pacman -Syyu but I got the following error -

    [[email protected] ~]$ sudo pacman -Syyu
    [sudo] password for kabir: 
    :: Synchronizing package databases...
     core                     119.8 KiB   257K/s 00:00 [##########################] 100%
     extra                   1753.4 KiB   515K/s 00:03 [##########################] 100%
     community                  3.5 MiB   601K/s 00:06 [##########################] 100%
     multilib                 160.3 KiB   329K/s 00:00 [##########################] 100%
     antergos                  89.8 KiB   188K/s 00:00 [##########################] 100%
    :: Starting full system upgrade...
    resolving dependencies...
    looking for conflicting packages...
    error: failed to prepare transaction (could not satisfy dependencies)
    :: imagemagick: installing perl (5.24.0-1) breaks dependency 'perl<5.23'
    :: net-snmp: installing perl (5.24.0-1) breaks dependency 'perl<5.23'
    :: perl-clone: installing perl (5.24.0-1) breaks dependency 'perl<5.23'
    :: perl-dbi: installing perl (5.24.0-1) breaks dependency 'perl<5.23'
    :: perl-html-parser: installing perl (5.24.0-1) breaks dependency 'perl<5.23'
    :: perl-xml-libxml: installing perl (5.24.0-1) breaks dependency 'perl<5.23'
    [[email protected] ~]$ 
    
    

    Any suggestion how to fix this? Thanks for your help, much appreciated.

    K

  • @KabirGandhiok

    Hello
    Sudo pacman running again -Syyu

  • @judd Hi, I ran pacman -Syyu quite a few times earlier but didn’t help, however some more updates just came in, and it all worked fine now, system fully updated!

    Thanks :)

  • Pastebin :

    pacman -Qi perl

    There is a line: Needed , under optional… mayby a aur package between?
    mayby some notice it…

  • @ringo32 said in Unable to update, failed to prepare transaction error:

    Pastebin :

    pacman -Qi perl

    There is a line: Needed , under optional… mayby a aur package between?
    mayby some notice it…

    Thanks for your response, hope this helps:

    [[email protected] ~]$ sudo pacman -Qi perl
    [sudo] password for kabir: 
    Name            : perl
    Version         : 5.24.0-1
    Description     : A highly capable, feature-rich programming language
    Architecture    : x86_64
    URL             : http://www.perl.org
    Licenses        : GPL  PerlArtistic
    Groups          : base
    Provides        : perl-archive-tar=2.04  perl-attribute-handlers=0.99
                      perl-autodie=2.29  perl-autoloader=5.74  perl-autouse=1.11
                      perl-b-debug=1.23  perl-base=2.23  perl-bignum=0.42
                      perl-carp=1.40  perl-compress-raw-bzip2=2.069
                      perl-compress-raw-zlib=2.069  perl-config-perl-v=0.25
                      perl-constant=1.33  perl-cpan-meta-requirements=2.140
                      perl-cpan-meta-yaml=0.018  perl-cpan-meta=2.150005
                      perl-cpan=2.11  perl-data-dumper=2.160  perl-db_file=1.835
                      perl-devel-ppport=3.32  perl-devel-selfstubber=1.05
                      perl-digest-md5=2.54  perl-digest-sha=5.95  perl-digest=1.17
                      perl-dumpvalue=1.18  perl-encode=2.80
                      perl-encoding-warnings=0.12  perl-env=1.04
                      perl-experimental=0.016  perl-exporter=5.72
                      perl-extutils-cbuilder=0.280225  perl-extutils-constant=0.23
                      perl-extutils-install=2.04  perl-extutils-makemaker=7.10_01
                      perl-extutils-manifest=1.70  perl-extutils-parsexs=3.31
                      perl-file-fetch=0.48  perl-file-path=2.12_01
                      perl-file-temp=0.2304  perl-filter-simple=0.92
                      perl-filter-util-call=1.55  perl-getopt-long=2.48
                      perl-http-tiny=0.056  perl-i18n-collate=1.02
                      perl-i18n-langtags=0.40  perl-if=0.0606  perl-io-compress=2.069
                      perl-io-socket-ip=0.37  perl-io-zlib=1.10  perl-io=1.36
                      perl-ipc-cmd=0.92  perl-ipc-sysv=2.06_01  perl-json-pp=2.27300
                      perl-lib=0.63  perl-libnet=3.08  perl-locale-codes=3.37
                      perl-locale-maketext-simple=0.21  perl-locale-maketext=1.26
                      perl-math-bigint-fastcalc=0.40  perl-math-bigint=1.999715
                      perl-math-bigrat=0.260802  perl-math-complex=1.59
                      perl-memoize=1.03  perl-mime-base64=3.15
                      perl-module-corelist=5.20160506
                      perl-module-load-conditional=0.64  perl-module-load=0.32
                      perl-module-loaded=0.08  perl-module-metadata=1.000031
                      perl-net-ping=2.43  perl-params-check=0.38  perl-parent=0.234
                      perl-parse-cpan-meta=1.4417  perl-pathtools=3.63
                      perl-perl-ostype=1.009  perl-perlfaq=5.021010
                      perl-perlio-via-quotedprint=0.08  perl-pod-checker=1.60
                      perl-pod-escapes=1.07  perl-pod-parser=1.63
                      perl-pod-perldoc=3.25_02  perl-pod-simple=3.32
                      perl-pod-usage=1.68  perl-podlators=5.006  perl-safe=2.39
                      perl-scalar-list-utils=1.42_02  perl-search-dict=1.07
                      perl-selfloader=1.23  perl-socket=2.020_03  perl-storable=2.56
                      perl-sys-syslog=0.33  perl-term-ansicolor=4.04
                      perl-term-cap=1.17  perl-term-complete=1.403
                      perl-term-readline=1.15  perl-test-harness=3.36
                      perl-test-simple=1.001014  perl-test=1.28  perl-text-abbrev=1.02
                      perl-text-balanced=2.03  perl-text-parsewords=3.30
                      perl-text-tabs=2013.0523  perl-thread-queue=3.09
                      perl-thread-semaphore=2.12  perl-threads-shared=1.51
                      perl-threads=2.07  perl-tie-file=1.02  perl-tie-refhash=1.39
                      perl-time-hires=1.9733  perl-time-local=1.2300
                      perl-time-piece=1.31  perl-unicode-collate=1.14
                      perl-unicode-normalize=1.25  perl-version=0.9916
                      perl-xsloader=0.21
    Depends On      : gdbm  db  glibc
    Optional Deps   : None
    Required By     : automake  chromium  foomatic-db-engine  git  groff  hspell
                      hyphen  imagemagick  libwpg  net-snmp  openssl  perl-clone
                      perl-dbi  perl-encode-locale  perl-error  perl-file-listing
                      perl-html-parser  perl-html-tagset  perl-http-cookies
                      perl-http-daemon  perl-http-date  perl-http-message
                      perl-http-negotiate  perl-io-html  perl-ipc-system-simple
                      perl-libwww  perl-lwp-mediatypes  perl-net-http  perl-uri
                      perl-www-robotrules  perl-xml-libxml  perl-xml-namespacesupport
                      perl-xml-sax  perl-xml-sax-base  qpdf  texinfo
    Optional For    : acpid  aspell  cdrkit  hunspell  libproxy
    Conflicts With  : None
    Replaces        : None
    Installed Size  : 49.46 MiB
    Packager        : Florian Pritz <[email protected]>
    Build Date      : Tue 10 May 2016 09:18:44 PM IST
    Install Date    : Sun 05 Jun 2016 08:30:31 PM IST
    Install Reason  : Explicitly installed
    Install Script  : No
    Validated By    : Signature
    

    Although I think this issue has been fixed because all the updates came through after I got more updates, and perl has been updated to 5.24

  • Ah ok then is the repository the issue, gor also perl packages but didnt notice it, but yeah mirrors can be slacky i gues :)

  • @ringo32 said in Unable to update, failed to prepare transaction error:

    Ah ok then is the repository the issue, gor also perl packages but didnt notice it, but yeah mirrors can be slacky i gues :)

    Thanks! :D

prepare4 error201 unable43 transaction8 Posts 7Views 2139
Log in to reply